

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _ABagConv_13(OBJ,OBJ);extern OBJ __ABagConv_13;
extern OBJ _ASeqFold_2(OBJ,OBJ);extern OBJ __ASeqFold_2;

#include "Char.h"
extern OBJ _ABagFold_3(OBJ,OBJ,OBJ);OBJ __ABagFold_3; /* / */

extern OBJ _ABagFold_3(OBJ x1,OBJ x2,OBJ x3) /* / */
{OBJ r;
 {OBJ x4;
  x4=_ABagConv_13(x1,x3);
  r=_ASeqFold_2(x2,x4);}
 return r;}

init_ABagFold()
{
 static int visited=0; if(visited) return; visited=1;
 init_ABag();
 init_ANat();
 init_APair();
 init_AOption();
 init_ASeq();
 init_ABagConv();
 init_ASeqFold();
 init_AString();
 init_AChar();
 CLS(3,_ABagFold_3,__ABagFold_3);}

